<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:24 CEST 2019 -->
<title>AbstractFbBlob (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractFbBlob (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":6,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":6,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/AbstractFbBlob.html" target="_top">Frames</a></li>
<li><a href="AbstractFbBlob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Class AbstractFbBlob" class="title">Class AbstractFbBlob</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.AbstractFbBlob</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireBlob</a>, <a href="../../../../org/firebirdsql/gds/ng/jna/JnaBlob.html" title="class in org.firebirdsql.gds.ng.jna">JnaBlob</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractFbBlob</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a></pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.gds.ng.FbBlob">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">ExceptionListenerDispatcher</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.FbBlob">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#NO_BLOB_ID">NO_BLOB_ID</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#AbstractFbBlob-org.firebirdsql.gds.ng.FbDatabase-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">AbstractFbBlob</a></span>(<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database,
              <a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
              <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListener</a>&nbsp;listener)</code>
<div class="block">Adds an exception listener to this object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#cancel--">cancel</a></span>()</code>
<div class="block">Cancels an output blob (which means its contents will be thrown away).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#cancelImpl--">cancelImpl</a></span>()</code>
<div class="block">Internal implementation of <a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#cancel--"><code>cancel()</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#checkBlobClosed--">checkBlobClosed</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#checkBlobOpen--">checkBlobOpen</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#checkDatabaseAttached--">checkDatabaseAttached</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#checkTransactionActive--">checkTransactionActive</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#clearDatabase--">clearDatabase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#clearTransaction--">clearTransaction</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#close--">close</a></span>()</code>
<div class="block">Closes the blob.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#closeImpl--">closeImpl</a></span>()</code>
<div class="block">Internal implementation of <a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#close--"><code>close()</code></a>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/ng/BlobLengthProcessor.html" title="class in org.firebirdsql.gds.ng">BlobLengthProcessor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#createBlobLengthProcessor--">createBlobLengthProcessor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#detached-org.firebirdsql.gds.ng.FbDatabase-">detached</a></span>(<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database)</code>
<div class="block">Called when the <code>database</code> connection has been detached</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#detaching-org.firebirdsql.gds.ng.FbDatabase-">detaching</a></span>(<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database)</code>
<div class="block">Called before the <code>database</code> will be detached.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getBlobInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getBlobInfo</a></span>(byte[]&nbsp;requestItems,
           int&nbsp;bufferLength,
           <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;T&gt;&nbsp;infoProcessor)</code>
<div class="block">Request blob info.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getBlobParameterBuffer--">getBlobParameterBuffer</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getDatabase--">getDatabase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getMaximumSegmentSize--">getMaximumSegmentSize</a></span>()</code>
<div class="block">The maximum segment size allowed by the protocol for <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getSegment-int-"><code>FbBlob.getSegment(int)</code></a> and <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#putSegment-byte:A-"><code>FbBlob.putSegment(byte[])</code></a>.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getSynchronizationObject--">getSynchronizationObject</a></span>()</code>
<div class="block">Get synchronization object.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#getTransaction--">getTransaction</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#isEof--">isEof</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#isOpen--">isOpen</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#length--">length</a></span>()</code>
<div class="block">Requests the blob length from the server.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListener</a>&nbsp;listener)</code>
<div class="block">Removes an exception listener to this object.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#resetEof--">resetEof</a></span>()</code>
<div class="block">Resets the eof state of the blob to false (not eof).</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#setEof--">setEof</a></span>()</code>
<div class="block">Marks this blob as EOF (End of file).</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#setOpen-boolean-">setOpen</a></span>(boolean&nbsp;open)</code>
<div class="block">Sets the open state of the blob to the specified value.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#transactionStateChanged-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.ng.TransactionState-org.firebirdsql.gds.ng.TransactionState-">transactionStateChanged</a></span>(<a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                       <a href="../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a>&nbsp;newState,
                       <a href="../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a>&nbsp;previousState)</code>
<div class="block">Signals that the transaction state changed.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#warningReceived-org.firebirdsql.gds.ng.FbDatabase-java.sql.SQLWarning-">warningReceived</a></span>(<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLWarning.html?is-external=true" title="class or interface in java.sql">SQLWarning</a>&nbsp;warning)</code>
<div class="block">Called when a warning was received for the <code>database</code> connection.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbBlob">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getBlobId--">getBlobId</a>, <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getBlobInfo-byte:A-int-">getBlobInfo</a>, <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getHandle--">getHandle</a>, <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getSegment-int-">getSegment</a>, <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#isOutput--">isOutput</a>, <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#open--">open</a>, <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#putSegment-byte:A-">putSegment</a>, <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#seek-int-org.firebirdsql.gds.ng.FbBlob.SeekMode-">seek</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="exceptionListenerDispatcher">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>exceptionListenerDispatcher</h4>
<pre>protected final&nbsp;<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">ExceptionListenerDispatcher</a> exceptionListenerDispatcher</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractFbBlob-org.firebirdsql.gds.ng.FbDatabase-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractFbBlob</h4>
<pre>protected&nbsp;AbstractFbBlob(<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database,
                         <a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                         <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isOpen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOpen</h4>
<pre>public final&nbsp;boolean&nbsp;isOpen()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#isOpen--">isOpen</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this blob is currently open.</dd>
</dl>
</li>
</ul>
<a name="isEof--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEof</h4>
<pre>public final&nbsp;boolean&nbsp;isEof()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#isEof--">isEof</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this blob has reached the end or has been closed, always <code>true</code> for an
 open output blob.</dd>
</dl>
</li>
</ul>
<a name="setEof--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEof</h4>
<pre>protected final&nbsp;void&nbsp;setEof()</pre>
<div class="block">Marks this blob as EOF (End of file).
 <p>
 For an output blob this is a no-op (as those are never end of file, unless explicitly closed)
 </p></div>
</li>
</ul>
<a name="resetEof--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetEof</h4>
<pre>protected final&nbsp;void&nbsp;resetEof()</pre>
<div class="block">Resets the eof state of the blob to false (not eof).
 <p>
 This method should only be called by sub-classes of this class.
 </p></div>
</li>
</ul>
<a name="setOpen-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOpen</h4>
<pre>protected final&nbsp;void&nbsp;setOpen(boolean&nbsp;open)</pre>
<div class="block">Sets the open state of the blob to the specified value.
 <p>
 This method should only be called by sub-classes of this class.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>open</code> - New value of open.</dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public final&nbsp;void&nbsp;close()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#close--">FbBlob</a></code></span></div>
<div class="block">Closes the blob.
 <p>
 Closing an already closed blob is a no-op.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true#close--" title="class or interface in java.lang">close</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#close--">close</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If the transaction is not active, or a database connection error occurred</dd>
</dl>
</li>
</ul>
<a name="closeImpl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeImpl</h4>
<pre>protected abstract&nbsp;void&nbsp;closeImpl()
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Internal implementation of <a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#close--"><code>close()</code></a>. The implementation does not need
 to check for attached database and active transaction, nor does it need to mark this blob as closed.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="cancel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancel</h4>
<pre>public final&nbsp;void&nbsp;cancel()
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#cancel--">FbBlob</a></code></span></div>
<div class="block">Cancels an output blob (which means its contents will be thrown away).
 <p>
 Calling cancel on an input blob will close it. Contrary to <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#close--"><code>FbBlob.close()</code></a>, calling cancel on an
 already closed (or cancelled) blob will throw an <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><code>SQLException</code></a>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#cancel--">cancel</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If the blob has already been closed, the transaction is not active, or a database connection error
         occurred.</dd>
</dl>
</li>
</ul>
<a name="cancelImpl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelImpl</h4>
<pre>protected abstract&nbsp;void&nbsp;cancelImpl()
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Internal implementation of <a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html#cancel--"><code>cancel()</code></a>. The implementation does not need
 to check for attached database and active transaction, nor does it need to mark this blob as closed.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getSynchronizationObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSynchronizationObject</h4>
<pre>public final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getSynchronizationObject()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getSynchronizationObject--">FbBlob</a></code></span></div>
<div class="block">Get synchronization object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getSynchronizationObject--">getSynchronizationObject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>object, cannot be <code>null</code>.</dd>
</dl>
</li>
</ul>
<a name="transactionStateChanged-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.ng.TransactionState-org.firebirdsql.gds.ng.TransactionState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transactionStateChanged</h4>
<pre>public&nbsp;void&nbsp;transactionStateChanged(<a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;transaction,
                                    <a href="../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a>&nbsp;newState,
                                    <a href="../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a>&nbsp;previousState)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html#transactionStateChanged-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.ng.TransactionState-org.firebirdsql.gds.ng.TransactionState-">TransactionListener</a></code></span></div>
<div class="block">Signals that the transaction state changed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html#transactionStateChanged-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.ng.TransactionState-org.firebirdsql.gds.ng.TransactionState-">transactionStateChanged</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transaction</code> - <a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng"><code>FbTransaction</code></a> that changed state</dd>
</dl>
</li>
</ul>
<a name="detaching-org.firebirdsql.gds.ng.FbDatabase-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>detaching</h4>
<pre>public&nbsp;void&nbsp;detaching(<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#detaching-org.firebirdsql.gds.ng.FbDatabase-">DatabaseListener</a></code></span></div>
<div class="block">Called before the <code>database</code> will be detached.
 <p>
 This event is intended for cleanup action, implementer should take care that
 no exceptions are thrown from this method.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#detaching-org.firebirdsql.gds.ng.FbDatabase-">detaching</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - The database object that is detaching</dd>
</dl>
</li>
</ul>
<a name="detached-org.firebirdsql.gds.ng.FbDatabase-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>detached</h4>
<pre>public&nbsp;void&nbsp;detached(<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#detached-org.firebirdsql.gds.ng.FbDatabase-">DatabaseListener</a></code></span></div>
<div class="block">Called when the <code>database</code> connection has been detached</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#detached-org.firebirdsql.gds.ng.FbDatabase-">detached</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - The database object that was detached</dd>
</dl>
</li>
</ul>
<a name="warningReceived-org.firebirdsql.gds.ng.FbDatabase-java.sql.SQLWarning-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>warningReceived</h4>
<pre>public&nbsp;void&nbsp;warningReceived(<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database,
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLWarning.html?is-external=true" title="class or interface in java.sql">SQLWarning</a>&nbsp;warning)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#warningReceived-org.firebirdsql.gds.ng.FbDatabase-java.sql.SQLWarning-">DatabaseListener</a></code></span></div>
<div class="block">Called when a warning was received for the <code>database</code> connection.
 <p>
 In implementation it is possible that some warnings are not sent to listeners on the database, but only to
 listeners on
 specific connection derived objects (like an <a href="../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><code>FbStatement</code></a> implementation).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#warningReceived-org.firebirdsql.gds.ng.FbDatabase-java.sql.SQLWarning-">warningReceived</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - Database receiving the warning</dd>
<dd><code>warning</code> - Warning</dd>
</dl>
</li>
</ul>
<a name="checkTransactionActive--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkTransactionActive</h4>
<pre>protected final&nbsp;void&nbsp;checkTransactionActive()
                                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When no transaction is set, or the transaction state is not <a href="../../../../org/firebirdsql/gds/ng/TransactionState.html#ACTIVE"><code>TransactionState.ACTIVE</code></a></dd>
</dl>
</li>
</ul>
<a name="checkDatabaseAttached--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkDatabaseAttached</h4>
<pre>protected&nbsp;void&nbsp;checkDatabaseAttached()
                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When no database is set, or the database is not attached</dd>
</dl>
</li>
</ul>
<a name="checkBlobOpen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkBlobOpen</h4>
<pre>protected&nbsp;void&nbsp;checkBlobOpen()
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When the blob is closed.</dd>
</dl>
</li>
</ul>
<a name="checkBlobClosed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkBlobClosed</h4>
<pre>protected&nbsp;void&nbsp;checkBlobClosed()
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When the blob is open.</dd>
</dl>
</li>
</ul>
<a name="getTransaction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransaction</h4>
<pre>protected&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&nbsp;getTransaction()</pre>
</li>
</ul>
<a name="clearTransaction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearTransaction</h4>
<pre>protected final&nbsp;void&nbsp;clearTransaction()</pre>
</li>
</ul>
<a name="getDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabase</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;getDatabase()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getDatabase--">getDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The database connection that created this blob</dd>
</dl>
</li>
</ul>
<a name="getBlobInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlobInfo</h4>
<pre>public&nbsp;&lt;T&gt;&nbsp;T&nbsp;getBlobInfo(byte[]&nbsp;requestItems,
                         int&nbsp;bufferLength,
                         <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;T&gt;&nbsp;infoProcessor)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getBlobInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">FbBlob</a></code></span></div>
<div class="block">Request blob info.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getBlobInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getBlobInfo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requestItems</code> - Array of info items to request</dd>
<dd><code>bufferLength</code> - Response buffer length to use</dd>
<dd><code>infoProcessor</code> - Implementation of <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng"><code>InfoProcessor</code></a> to transform
         the info response</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Transformed info response of type T</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors retrieving or transforming the response.</dd>
</dl>
</li>
</ul>
<a name="length--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>length</h4>
<pre>public&nbsp;long&nbsp;length()
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#length--">FbBlob</a></code></span></div>
<div class="block">Requests the blob length from the server.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#length--">length</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Length of the blob.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For Errors retrieving the length, or if the blob is not associated with a blob id, or the database is not
         attached.</dd>
</dl>
</li>
</ul>
<a name="addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addExceptionListener</h4>
<pre>public final&nbsp;void&nbsp;addExceptionListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListener</a>&nbsp;listener)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">ExceptionListenable</a></code></span></div>
<div class="block">Adds an exception listener to this object.
 <p>
 Implementations use <code>WeakReference</code>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Listener to register</dd>
</dl>
</li>
</ul>
<a name="removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeExceptionListener</h4>
<pre>public final&nbsp;void&nbsp;removeExceptionListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListener</a>&nbsp;listener)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">ExceptionListenable</a></code></span></div>
<div class="block">Removes an exception listener to this object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Listener to remove</dd>
</dl>
</li>
</ul>
<a name="clearDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearDatabase</h4>
<pre>protected final&nbsp;void&nbsp;clearDatabase()</pre>
</li>
</ul>
<a name="getBlobParameterBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlobParameterBuffer</h4>
<pre>protected&nbsp;<a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;getBlobParameterBuffer()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The blob parameter buffer of this blob.</dd>
</dl>
</li>
</ul>
<a name="createBlobLengthProcessor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBlobLengthProcessor</h4>
<pre>protected&nbsp;<a href="../../../../org/firebirdsql/gds/ng/BlobLengthProcessor.html" title="class in org.firebirdsql.gds.ng">BlobLengthProcessor</a>&nbsp;createBlobLengthProcessor()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>New instance of <a href="../../../../org/firebirdsql/gds/ng/BlobLengthProcessor.html" title="class in org.firebirdsql.gds.ng"><code>BlobLengthProcessor</code></a> (or subclass) for this blob.</dd>
</dl>
</li>
</ul>
<a name="getMaximumSegmentSize--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMaximumSegmentSize</h4>
<pre>public&nbsp;int&nbsp;getMaximumSegmentSize()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getMaximumSegmentSize--">FbBlob</a></code></span></div>
<div class="block">The maximum segment size allowed by the protocol for <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getSegment-int-"><code>FbBlob.getSegment(int)</code></a> and <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#putSegment-byte:A-"><code>FbBlob.putSegment(byte[])</code></a>.
 <p>
 This value is <strong>not</strong> the segment size (optionally) defined for the column.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#getMaximumSegmentSize--">getMaximumSegmentSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The maximum segment size allowed for get or put.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/AbstractFbBlob.html" target="_top">Frames</a></li>
<li><a href="AbstractFbBlob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
